org.apache.ignite.internal.client.thin

## Class ClientCacheEntryListenersRegistry

- java.lang.Object
- - org.apache.ignite.internal.client.thin.ClientCacheEntryListenersRegistry

    public class ClientCacheEntryListenersRegistry
    extends Object

Per-cache cache entry listeners registry. Listeners can't be stored inside ClientCache instance, since there can be several such instances per one cache.

### Constructor Summary

Constructors
Constructor and Description
`ClientCacheEntryListenersRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClientCacheEntryListenerHandler<?,?>` `deregisterCacheEntryListener(String cacheName, javax.cache.configuration.CacheEntryListenerConfiguration<?,?> cfg)` Deregister listener handler.
`boolean` `registerCacheEntryListener(String cacheName, javax.cache.configuration.CacheEntryListenerConfiguration<?,?> cfg, ClientCacheEntryListenerHandler<?,?> hnd)` Register listener handler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientCacheEntryListenersRegistry

    public ClientCacheEntryListenersRegistry()

### Method Detail

#### registerCacheEntryListener

    public boolean registerCacheEntryListener(String cacheName,
                                              javax.cache.configuration.CacheEntryListenerConfiguration<?,?> cfg,
                                              ClientCacheEntryListenerHandler<?,?> hnd)

Register listener handler.

Returns:
  `True` if listener was succesfuly registered, `false` if listener was already registered before.

#### deregisterCacheEntryListener

    public ClientCacheEntryListenerHandler<?,?> deregisterCacheEntryListener(String cacheName,
                                                                             javax.cache.configuration.CacheEntryListenerConfiguration<?,?> cfg)

Deregister listener handler.

Returns:
  Listener handler.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022